Difference between revisions of "Download Navit"

From Navit's Wiki
Jump to: navigation, search
(removed outdated instructions)
m (svn -> github)
 
(7 intermediate revisions by 2 users not shown)
Line 1: Line 1:
Most operating systems contain package managers, which usually already contain Navit packages. Unfortunatly, they are mostly outdated, so we recommend to use our nightly SVN builds:
+
Most operating systems contain package managers, which usually already contain Navit packages. Unfortunatly, they are mostly outdated, so we recommend to use github sources:
* http://download.navit-project.org/navit/
+
* https://github.com/navit-gps/navit/
* [http://sourceforge.net/project/platformdownload.php?group_id=153410 sf.net latest stable 0.2]
 
 
 
 
{{note
 
{{note
|NAVIT is under heavy development, so recommend to use the '''up to date SVN version''' to get the newest features and bug fixes!<br>
+
|NAVIT is under heavy development, so recommend to use the '''up to date Github version''' to get the newest features and bug fixes!
|But this builds can also be instable!
 
 
}}
 
}}
  
Line 19: Line 16:
 
* [[WebOS]]
 
* [[WebOS]]
 
* [[WinCE]] (see also [[Windows#Windows_Mobile.2FWindows_CE|Navit on Windows]])
 
* [[WinCE]] (see also [[Windows#Windows_Mobile.2FWindows_CE|Navit on Windows]])
 
+
* [[Sailfish OS]]
  
  
Line 25: Line 22:
  
 
== ArchLinux ==
 
== ArchLinux ==
If you want to install the SVN version of Navit on ArchLinux you can build it by using the [http://aur.archlinux.org/packages.php?ID=18799 PKGBUILD] from AUR
+
If you want to install the SVN version of Navit on ArchLinux you can build it by using the [https://aur.archlinux.org/packages/navit/ PKGBUILD] from AUR
 
 
  
 
== Debian ==
 
== Debian ==
''currently no unofficial packages''
+
unofficial packages available on the repositories of all currently supported versions
 
 
== eeePC ==
 
''currently no unofficial packages''
 
  
 
== Fedora ==
 
== Fedora ==
Line 41: Line 34:
 
Navit is built from SVN, so it is marked as live-overlay. Therefore it is masked and cannot be installed without further means. You have to insert a new line to /etc/portage/package.keywords:
 
Navit is built from SVN, so it is marked as live-overlay. Therefore it is masked and cannot be installed without further means. You have to insert a new line to /etc/portage/package.keywords:
  
  =app-misc/navit-9999 **
+
  =sci-geosciences/navit-9999-r1 **
  
Ebuild available in the [http://overlays.gentoo.org/proj/sunrise sunrise overlay]
+
Ebuild available in the [https://github.com/l29ah/booboo booboo overlay]
  
 
Information on using Gentoo overlays can be found [http://www.gentoo.org/proj/en/overlays/userguide.xml here]
 
Information on using Gentoo overlays can be found [http://www.gentoo.org/proj/en/overlays/userguide.xml here]
Line 49: Line 42:
  
 
== openSuSE ==
 
== openSuSE ==
''currently no unofficial packages''
+
unofficial packages available from the open build service for openSUSE Tumbleweed, Leap 42.2 and Leap 42.3
  
  
 
== Ubuntu ==
 
== Ubuntu ==
''currently no unofficial packages''
+
unofficial packages available on the universe repository of all currently supported versions
  
 
= Building=
 
= Building=

Latest revision as of 18:06, 4 November 2017

Most operating systems contain package managers, which usually already contain Navit packages. Unfortunatly, they are mostly outdated, so we recommend to use github sources:

Portable devices[edit]

If you can't find you platform, check Impossible ports and ask at contacts


Desktop[edit]

ArchLinux[edit]

If you want to install the SVN version of Navit on ArchLinux you can build it by using the PKGBUILD from AUR

Debian[edit]

unofficial packages available on the repositories of all currently supported versions

Fedora[edit]

currently no unofficial packages


Gentoo[edit]

Navit is built from SVN, so it is marked as live-overlay. Therefore it is masked and cannot be installed without further means. You have to insert a new line to /etc/portage/package.keywords:

=sci-geosciences/navit-9999-r1 **

Ebuild available in the booboo overlay

Information on using Gentoo overlays can be found here


openSuSE[edit]

unofficial packages available from the open build service for openSUSE Tumbleweed, Leap 42.2 and Leap 42.3


Ubuntu[edit]

unofficial packages available on the universe repository of all currently supported versions

Building[edit]

See Development